let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteAisleApi = async (aisleUuid: string, projectId: string, versionId: string) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/DeleteAisle`, {
      method: "PATCH",
      headers: {
        Authorization: "Bearer <access_token>", // Replace with actual token
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "", // Coerce null to empty string
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({ aisleUuid, projectId, versionId }),
    });
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }
    if (!response.ok) {
      console.error("Failed to clearPanel in the zone");
    }

    const result = await response.json();
    // console.log('result: ', result);
    return result;
  } catch (error) {
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
